Last Comment Bug 455940 - Blow away the dist directory for top level makes
: Blow away the dist directory for top level makes
Status: REOPENED
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks: 478061 496982
  Show dependency treegraph
 
Reported: 2008-09-18 13:45 PDT by Shawn Wilsher :sdwilsh
Modified: 2011-11-08 07:51 PST (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
v1.0 (436 bytes, patch)
2008-09-24 19:19 PDT, Shawn Wilsher :sdwilsh
benjamin: review+
Details | Diff | Splinter Review

Description Shawn Wilsher :sdwilsh 2008-09-18 13:45:11 PDT
if you backout a file, the tinderboxes need to be clobbered to get rid of it, and it can cause all sorts of strange issues.  It'd be nice if it just worked.
Comment 1 Shawn Wilsher :sdwilsh 2008-09-24 19:19:39 PDT
Created attachment 340275 [details] [diff] [review]
v1.0

This is thankfully simple enough.
Comment 2 Shawn Wilsher :sdwilsh 2008-09-25 17:48:16 PDT
Comment on attachment 340275 [details] [diff] [review]
v1.0

Ted thinks this would be better reviewed by bsmedgberg
Comment 3 Benjamin Smedberg AWAY UNTIL 2-AUG-2016 [:bsmedberg] 2008-09-26 11:39:44 PDT
Comment on attachment 340275 [details] [diff] [review]
v1.0

please remove all of dist/bin
Comment 4 Shawn Wilsher :sdwilsh 2008-09-26 11:51:14 PDT
Addressed on checkin:
http://hg.mozilla.org/mozilla-central/rev/2039bfc05310
Comment 5 Peter Weilbacher 2008-09-26 13:59:16 PDT
Did you really want to remove $(DIST)/dist/bin or just $(DIST)/bin?
Comment 6 David Baron :dbaron: ⌚️UTC+1 (mostly busy through August 4; review requests must explain patch) 2008-09-26 14:07:50 PDT
Addressed comment 5 in http://hg.mozilla.org/mozilla-central/rev/541fc3b73d52 since the windows builds were staying orange.
Comment 7 David Baron :dbaron: ⌚️UTC+1 (mostly busy through August 4; review requests must explain patch) 2008-09-26 14:24:05 PDT
Backed out completely: http://hg.mozilla.org/mozilla-central/rev/cb3240bf1d9b

since it turned the Windows boxes (builders, unit testers) red.
Comment 8 David Baron :dbaron: ⌚️UTC+1 (mostly busy through August 4; review requests must explain patch) 2008-09-26 14:30:16 PDT
For a log, see 
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1222463527.1222463564.6262.gz&fulltext=1
Comment 9 David Baron :dbaron: ⌚️UTC+1 (mostly busy through August 4; review requests must explain patch) 2008-09-26 14:36:53 PDT
I relanded with $(DIST)/bin/components in the hope that that will remove the file we need to remove right now to get Windows green again without having to poke at the Windows machines (and end up with color depth problems, etc., etc.):
http://hg.mozilla.org/mozilla-central/rev/1c2231730ff9
Comment 10 David Baron :dbaron: ⌚️UTC+1 (mostly busy through August 4; review requests must explain patch) 2008-09-30 16:34:11 PDT
Also, if we remove dist/bin, we should remove dist/Firefox.app or whatever the appropriate *.app directory is.
Comment 11 Ted Mielczarek [:ted.mielczarek] 2008-10-01 13:52:11 PDT
Shawn: are you interested in investigating/fixing this, or would you rather I took it?
Comment 12 Shawn Wilsher :sdwilsh 2008-10-01 14:36:09 PDT
It might be better for someone more knowledgeable about the build system to take this.  At this point, I'd be asking you all sorts of questions to fix it... (at least to address comment 10)
Comment 13 Shawn Wilsher :sdwilsh 2008-12-04 16:46:26 PST
(In reply to comment #11)
> Shawn: are you interested in investigating/fixing this, or would you rather I
> took it?
I'd rather you take this ted.
Comment 14 Ted Mielczarek [:ted.mielczarek] 2008-12-09 03:57:57 PST
Note that blowing away $DIST/bin/components is part of the problem in bug 468285.

Note You need to log in before you can comment on or make changes to this bug.